16.06.2012 14:46    

k005
Merhaba arkadaşlar;

aşağıdaki verdiğim kodda ; örneğin unp160 profilin açılı kesim için mesafesini alıyorum.. yalnız bu açısı 0 derece olan profiller için geçerli oluyor.. profil 0 dan faklı bir açıda ise doğru kesim ölçüsünü nasıl alabilirim.. ?

Kod:

;ZAVİYE  ( DELTA X )
(defun c:za()
(setvar "cmdecho" 0)
(setvar "orthomode" 0)
(setvar "osmode" 32)
(setvar "osmode" 1)
(setq a (Getpoint "\nilk nokta ? >"))
(setq b (Getpoint a "\nikinci Nokta ? >"))
(setq mdf (distance a b))
(setq acc  (cos(angle a b)))
(setq ymsf (* mdf acc))
(setvar "osmode" 0)
(alert
(strcat"\««««  KESİM BİLGİSİ  »»»» "
(princ "\n")
(princ "\nZaviye   --›  ")
(princ(rtos ymsf 2 2)))))


Herkese kolay gelsin. İyi çalışmalar..

> 1 <
Copyright © 2004-2022 SQL: 1.152 saniye - Sorgu: 43 - Ortalama: 0.02679 saniye